# $Revision: 1.21 $, $Date: 2011/11/23 21:21:25 $
%define		tpl	sidebar
Summary:	Sidebar navigation with DokuWiki
Summary(pl.UTF-8):	Nawigacja po sidebarze przy użyciu DokuWiki
Name:		dokuwiki-tpl-sidebar
Version:	20111110
Release:	1
License:	GPL
Group:		Applications/WWW
Source0:	http://dokuwiki.jalakai.co.uk/template-sidebar-rc2009-01-26.zip
# Source0-md5:	7a36b63e86d00f72eecae2ba80334fdd
Patch0:		backlink-rightside.patch
Patch1:		more-buttons.patch
Patch2:		acl-check.patch
Patch3:		%{name}-20101007.patch
Patch4:		dw-20101007.patch
Patch5:		%{name}-20110525.patch
Patch6:		%{name}-20111110.patch
URL:		http://www.dokuwiki.org/template:sidebar
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	unzip
Requires:	dokuwiki >= 20090126
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		tpldir		%{dokudir}/lib/tpl/%{tpl}

%description
Better navigation with DokuWiki. Features a navigation sidebar, a
tagline, highlighting the current page in the sidebar (unique
feature!), using the page heading as link text automatically. Retains
the default DokuWiki look and feel as much as possible.

%description -l pl.UTF-8
Lepsza nawigacja przy użyciu DokuWiki. Opiera się na sidebarze
nawigacyjnym, pasku podświetlającym aktualną stronę na sidebarze (co
jest unikalną cechą!), przy automatycznym użyciu nagłówka strony jako
tekstu odnośnika. Zachowuje domyślny wygląd i zachowanie DokuWiki na
ile to możliwe.

%prep
%setup -q -n %{tpl}
%patch3 -p4
%patch4 -p1
%patch5 -p6
%patch6 -p4
%patch0 -p1
%patch1 -p1
%patch2 -p1

cat > INSTALL <<'EOF'
To activate this template add the following to your conf/local.php file:

$conf['template']    = '%{tpl}';

If you want a tagline, you can define it as follows:
$conf['tagline']    = 'Your own tagline';
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{tpldir}
cp -a . $RPM_BUILD_ROOT%{tpldir}
rm -f $RPM_BUILD_ROOT%{tpldir}/INSTALL

while read file; do
	ln -sf ../../default/$file $RPM_BUILD_ROOT%{tpldir}/$file
done <<EOF
images/UWEB.png
images/apple-touch-icon.png
images/button-cc.gif
images/button-rss.png
images/link_icon.gif
images/mail_icon.gif
images/resizecol.png
images/tocdot2.gif
images/windows.gif
images/button-pld.png
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files
%defattr(644,root,root,755)
%doc INSTALL
%{tpldir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dokuwiki-tpl-sidebar.spec,v $
Revision 1.21  2011/11/23 21:21:25  glen
- add images/button-pld.png link

Revision 1.20  2011/11/23 21:20:31  glen
- rediffed against dokuwiki rc2011-11-10

Revision 1.19  2011/11/23 20:26:54  glen
- apply dw-20101007.patch

Revision 1.18  2011/06/10 06:25:10  glen
- update to 20110525

Revision 1.17  2010/12/14 17:10:06  glen
- update dw patch against real 2010-11-07 release; rel 2

Revision 1.16  2010/11/03 20:52:13  glen
- release 1

Revision 1.15  2010/11/03 20:51:15  glen
- rediffed against default template from rc 20101007

Revision 1.14  2010/04/06 21:17:04  sparky
- BR: unzip

Revision 1.13  2010/03/22 17:57:04  glen
- do not show sidebar if sidebar file is not accessible

Revision 1.12  2009/08/29 21:25:51  glen
- pass revno in export

Revision 1.11  2009/08/29 21:03:01  glen
- add export pdf and export odt buttons; rel 2

Revision 1.10  2009/06/17 09:34:32  glen
- put backlinks link back to right side of page

Revision 1.9  2009/01/27 15:06:49  glen
- force css cache refresh after install

Revision 1.8  2009/01/27 15:04:54  glen
- unify

Revision 1.7  2009/01/27 15:03:34  glen
- force cache refresh after install

Revision 1.6  2009/01/27 14:51:58  glen
- up for 2009-01-26 rc dw

Revision 1.5  2008-05-08 12:12:22  glen
- unify

Revision 1.4  2008-05-08 11:23:25  glen
- unify; rel 1

Revision 1.3  2007/09/07 09:26:17  glen
- unified

Revision 1.2  2007/09/01 19:14:29  qboosh
- pl

Revision 1.1  2007/08/29 12:44:42  glen
- new
